package jeliot.parser.error;

import java.util.*;
import jeliot.lang.*;
import jeliot.parser.*;

/**
  * 
  * @author Pekka Uronen
  *
  * created         1.10.1999
  */
public class StaticContextException extends SemanticException {
    
    private PVariableAccessExpr access;
    
    public StaticContextException(PVariableAccessExpr access) {
        this.access = access;
    }
    
    public String toString() {
         String varName = access.getIdentifier();
        
         return (
            "<HTML><HEAD><TITLE>XXX</TITLE></HEAD>\n" +
            "<BODY bgcolor=white>" +
            "<H1>Attempt to access non-static field in " +
            "static contex.</H1>\n" +
            "<P>" +
            "Your program tries to access variable <B>" +
            varName + "</B> " +
            "in a static context. This is not a good thing. "+
            "</BODY></HTML>"
            );
    }
    
}