package jeliot.lang;

import jeliot.parser.*;
import jeliot.theatre.*;

/**
  * @author Pekka Uronen
  *
  * created 30.9.1999
  */
public abstract class ConstructorPointer {

    /** Returns the type of the class constructed by this constructor.
      */
    public abstract Type getType();
    
    /** Creates a new instance.
      */
    public abstract Value construct(Value[] args,
            PInstanceCreation create, Director dir);
}
