package jeliot.lang;

import jeliot.parser.*;
import jeliot.theatre.*;

/**
  * @author Pekka Uronen
  *
  * created 28.9.1999
  */
public class DomesticFieldPointer extends FieldPointer {

    PVariableDeclarator declarator;

    /** Returns the type of this field.
      */
    public Type getType() {
        return declarator.getType();
    }
    
    public Type getDeclaringClass() {
        return null;//((PClass)getParent()).getType();
    }
    
    /** Returns true if this field is declared as static.
      */
    public boolean isStatic() {
        return declarator.isStatic();
    }
    
    /** Returns true if this is a private field.
      */
    public boolean isPrivate() {
        return declarator.isPrivate();
    }
    
    /** Returns the return value of the field.
      */
    public Variable access(Director dir) {
        return null;
    }
    
}
