package jeliot.lang;

import java.lang.reflect.*;
import jeliot.parser.*;
import jeliot.theatre.*;

/**
  * @author Pekka Uronen
  *
  * created 30.9.1999
  */
public class ForeignConstructorPointer extends ConstructorPointer {

    private Constructor constructor;

    public ForeignConstructorPointer(Constructor constructor) {
        this.constructor = constructor;
    }
    
    /** Returns the type of the class constructed by this constructor.
      */
    public Type getType() {
        return Type.getTypeByClass(constructor.getDeclaringClass());    
    }
    
    /** Creates a new instance.
      */
    public  Value construct(Value[] args,
            PInstanceCreation create, Director dir) {
                
        return null;
    }
    
}
