package jeliot.parser;

import java.util.*;

/**
  * PLabel represents a label in front of a statement.
  *
  * @author Pekka Uronen
  *
  * created 6.8.1999
  * last modified -
  */
public class PLabel {

    protected String name;

    /** Start position of the label */
    protected int left;

    /** End position of the label (position of the colon) */
    protected int right;
    
    public PLabel(String identifier, int left, int right) {
        this.name = identifier;
        this.left = left;
        this.right = right;
    }

}
